:root {
  --basic-hover-color: #18CFAB;
  --basic-grey-color: #D4D4D4;
  --title-grey-color: #4E4E4E;
}

.container {
  width: 1160px;
  margin: 0 auto;
}

.flex-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

body {
  font-family: 'Montserrat', serif;
  color: white;
}

button {
  border: none;
  background: transparent;
  cursor: pointer;
}

.header {
  background-image:
    linear-gradient(to bottom, rgba(94, 93, 88, 0.082), rgba(94, 93, 88, 0.6)),
    url('../img/background/header-bg.jpg');
  min-height: 937px;
}

.bg-cover {
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  background-position: center;
}

.header__menu-wrapper {
  background: rgba(94, 93, 88, 0.6);
  padding: 25px 0 28px;
}

.header__logo {
  position: relative;
}

.header__logo__img {
  margin-right: 6px;
}

.header__logo::before {
  content: '';
  background-image: url(../img/icon/H.svg);
  background-repeat: no-repeat;
  background-size: cover;
  height: 28px;
  width: 28px;
  display: block;
  color: white;
  position: absolute;
  top: 30%;
  left: 8%;
}

.header__logo__title {
  font-size: 32px;
  line-height: 48px;
  color: white;
  font-weight: normal;
}

.title--bold-green {
  color: var(--basic-hover-color);
  font-weight: bold;
}

.header__nav {
  position: relative;
}

.header__nav-wrapper {
  width: 615px;
}

.header__nav-item {
}

.header__nav-link {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 16px;
  line-height: 24px;
  color: var(--basic-grey-color);
  position: relative;
  transition: color 0.4s ease-out;
}

.header__nav-link:hover {
  color: var(--basic-hover-color);
}

.header__nav-link:hover::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: var(--basic-hover-color);
  left: 0;
  bottom: -51px;
}

.header__nav-search {
  background-image: url(../img/logo/search__logo.svg);
  background-repeat: no-repeat;
  background-size: cover;
  height: 18px;
  width: 19px;
  margin-left: 21px;
  transition: transform 0.6s ease-out, border 0.6s ease-out;
  z-index: 2;
}

.header__nav-search:hover {
  transform: scale(1.3);
}

.header__nav-search:active {
  border: 1px solid var(--basic-hover-color);
  border-radius: 3px;
}

.input-search {
  position: absolute;
  left: 96.5%;
  height: 32px;
  padding-left: 25px;
  border-radius: 5%;
  animation: showInput 1s 0.5 ease-in;
}

@keyframes showInput {
  from {
    width: 0%;
  }

  to {
    width: 100%;
  }
}

.header-hero {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-transform: uppercase;
}

.header-hero__title {
  font-size: 78px;
  margin: 0  0 22px;
}

.header-hero__above-title {
  font-size: 35px;
}

.header-hero__under-title {
  font-size: 34px;
  color: var(--basic-grey-color);
  font-weight: normal;
  text-transform: none;
}

.header-hero__btns {
  padding-top: 122px;
}

.header-hero__btns button:first-child {
  margin-right: 26px;
}

.btn--primary {
  color: white;
  text-transform: uppercase;
  font-weight: bold;
  padding: 22px 19px;
  border-radius: 5px;
  transition: 0.3s;
  position: relative;
}

.btn--primary:active {
  transform: scale(0.9);
}

.btn--top-border::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 8px;
  top: -5px;
  left: 0;
  background-color: white;
  border-radius: 5px 5px 0  0;
}

.btn--top-border::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 8px;
  top: 0;
  left: 0;
  background-color: inherit;
  border-radius: 5px 5px 0  0;
  z-index: 1;
}

.btn--blue {
  background-color: #00CBF6;
}

.btn--blue:hover {
  background-color: var(--basic-hover-color);
}

.options__wrapper {
  padding-top: 5px;
  align-items: stretch;
}

.option {
  text-align: center;
  flex-basis: 100%;
  padding-bottom: 100px;
  padding-top: 87px;
}

.option__img {
  margin-bottom: 44px;
  height: 97px;
}

.option__title {
  text-transform: uppercase;
  font-size: 20px;
  line-height: 24px;
}

.option:nth-child(2n+1) {
  background-color: #1C2A33;
  color: var(--basic-hover-color);
}

.option:nth-child(2n) {
  background-color: var(--basic-hover-color);
  color: white;
}

.our-services {
  padding: 90px 0 90px;
}

.section__title {
  color: var(--title-grey-color);
  font-size: 36px;
  line-height: 40px;
  font-weight: normal;
  text-align: center;
  position: relative;
}

.section__title::before {
  content: '';
  background-color: var(--basic-hover-color);
  width: 75px;
  height: 1px;
  position: absolute;
  bottom: -25px;
  left: 46%;
}

.section__title::after {
  content: '';
  background-color: var(--basic-hover-color);
  width: 75px;
  height: 1px;
  position: absolute;
  bottom: -29px;
  right: 46%;
}

.our-services__nav {
  margin: 99px 0 24px;
}

.our-work__menu,
.our-services__menu {
  background-color: #F8FCFE;
  color: #717171;
}

.our-services__tab {
  text-align: center;
  flex-basis: 100%;
  cursor: pointer;
  font-size: 15.9859px;
  line-height: 39px;
  border: 1.5px solid #E9EDEF;
  padding: 15px 0 16px;
}

.our-services__tab:hover {
  border: 1.5px solid var(--basic-hover-color);
}

.active-tab {
  background-color: var(--basic-hover-color);
  color: white;
  position: relative;
}

.active-tab::after {
  content: '';
  position: absolute;
  left: 43%;
  bottom: -10%;
  width: 23px;
  height: 23px;
  transform: rotate(-45deg);
  background-color: var(--basic-hover-color);
}

.our-services__content {
  display: none;
  min-height: 142px;
}

.visible-content {
  display: flex;
}

.our-services__img {
  width: 192px;
  margin-right: 15px;
}

.our-services__text {
  font-size: 13.645px;
  line-height: 24px;
  color: #777;
  align-self: start;
}

.purchase {
  background-image:
    linear-gradient(to bottom, rgba(0, 0, 0, 0.74), rgba(0, 0, 0, 0.664)),
    url('../img/background/purchase-bg.jpg');
  min-height: 477px;
}

.purchase__title {
  font-size: 40px;
  line-height: 40px;
  margin-bottom: 12px;
}

.purchase__subtitle {
  font-size: 16px;
  line-height: 40px;
  font-weight: normal;
  text-transform: none;
  color: var(--basic-grey-color);
  margin-bottom: 62px;
}

.purchase-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-transform: uppercase;
}

.our-work {
  padding: 97px 0 130px;
  text-align: center;
}

.our-work__nav {
  margin: 95px 0 69px;
}

.our-work__menu {
  width: 584px;
  margin: 0 auto;
  display: flex;
  flex-basis: 100%;
}

.our-work__tab {
  text-align: center;
  cursor: pointer;
  font-size: 14px;
  line-height: 42px;
  padding: 6px 17px 6px 17px;
  border: 2px solid #E9EDEF;
}

.our-work__tab:hover {
  border: 2px solid var(--basic-hover-color);
  color: var(--basic-hover-color);
}

.our-work__tab-active {
  border: 2px solid var(--basic-hover-color);
  color: var(--basic-hover-color);
}

.our-work__wrapper {
  display: flex;
  align-content: flex-start;
  flex-wrap: wrap;
  margin-bottom: 70px;
  height: 646px;
  overflow: hidden;
}

.our-work__item {
  position: relative;
  flex-basis: 25%;
  display: none;
  height: 217px;
}

.visible-workContent {
  display: inline-block;
}

.our-work__img {
  height: 100%;
  width: 100%;
}

.our-work__hover-wrapper {
  position: absolute;
  background-color: #E9EDEF;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-top: 6px solid var(--basic-hover-color);
  padding-top: 40px;
  opacity: 0;
  transition: opacity 0.6s;
}

.our-work__hover-wrapper:hover {
  opacity: 1;
}

.our-work__hover-icons {
  margin-bottom: 36px;
}

.our-work__hover-icon {
  padding: 21px 21px;
  display: inline-block;
  border: 1px solid var(--basic-hover-color);
  border-radius: 20px;
  position: relative;
}

.icon-square {
  background-color: var(--basic-hover-color);
}

.icon-square::after {
  content: '';
  width: 12px;
  height: 11px;
  background: #E9EDEF;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.icon-chain::after {
  content: '';
  width: 14px;
  height: 14px;
  background-image: url(../img/icon/chain__icon.svg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.our-work__hover-title {
  text-transform: uppercase;
  font-size: 14.1771px;
  line-height: 25px;
}

.our-work__hover-undertitle {
  font-size: 12.1518px;
  line-height: 25px;
  color: #8A8A8A;
}

.btn-load {
  display: inline-flex;
  padding: 10px 23px;
  cursor: pointer;
  position: relative;
}

.btn-load__icon {
  margin-right: 15px;
}

.btn-load__title {
  display: inline-block;
  font-size: 14px;
  line-height: 42px;
}

.news {
  padding: 84px 0 130px;
}

.news-posts__wrapper {
  margin-top: 94px;
  flex-wrap: wrap;
}

.news-post {
  background-color: #F2F4F5;
  color: var(--basic-grey-color);
  text-align: center;
  border: 1px solid var(--basic-grey-color);
  margin-bottom: 44px;
}

.news-post__picture-container {
  position: relative;
}

.news-post__data {
  position: absolute;
  top: 0;
  right: 0;
  background-color: #203E38;
  color: white;
  padding: 9px 18px 9px 18px;
  transition: background-color 0.6s;
}

.news-post__data p:first-child {
  margin-bottom: 10px;
}

.news-post__title {
  color: var(--title-grey-color);
  font-size: 17.9885px;
  line-height: 39px;
  padding: 0;
  transition: color 0.6s;
}

.details {
  font-size: 13.991px;
  line-height: 39px;
  justify-content: space-around;
  margin: 0 23px 0 23px;
  color: var(--title-grey-color);
}

.news-post:hover .news-post__data {
  background-color: var(--basic-hover-color);
}

.news-post:hover .news-post__title {
  color: var(--basic-hover-color);
}

.feedback {
  background-image:
    linear-gradient(to bottom, #203E383B, #203E383F),
    url('../img/background/feedback-bg.jpg');
  min-height: 853px;
  padding: 98px 0 104px;
}

.feedback__title {
  color: white;
}

.feedback__slider {
  position: relative;
  text-align: center;
  margin-top: 99px;
  padding-top: 73px;
}

.feedback__slider::before {
  content: '';
  position: absolute;
  background-image: url(../img/icon/quote-mark__icon.svg);
  width: 44px;
  height: 30px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  top: 0%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.feedback__content {
  color: #BBB;
  font-size: 16px;
  line-height: 30px;
  animation: showContent 2s ease-in-out;
}

@keyframes showContent {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.feedback__text {
  min-height: 60px;
}

.feedback__author {
  text-transform: uppercase;
  margin-top: 37px;
  animation: rightMoveContent 1.5s ease-in-out;
}

.feedback__position {
  animation: rightMoveContent 1.5s ease-out;
}

@keyframes rightMoveContent {
  0% {
    transform: translateX(-300px);
  }

  60% {
    transform: translateX(40px);
  }
}

.avatar__wrapper {
  margin: 50px auto 50px auto;
  border-radius: 80px;
  border: 10px solid #1FD8B33B;
  width: 150px;
  height: 150px;
  text-align: center;
  overflow: hidden;
}

.feedback__avatar {
  display: inline-block;
  width: 100%;
  height: 100%;
}

.feedback__nav {
  width: 421px;
  margin: 0 auto;
  position: relative;
}

.slides-wrapper {
  overflow: hidden;
  width: 421px;
  padding: 30px 0 0;
}

.slides {
  display: flex;
  position: relative;
  left: -24px;
  justify-content: space-around;
  transition: transform 1s ease-in-out;
}

.small-avatar__wrapper {
  border-radius: 80px;
  border: 5px solid #1FD8B33B;
  width: 60px;
  height: 59px;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  transition: 0.3s;
}

.nav__avatar {
  display: inline-block;
  width: 100%;
  height: 100%;
}

.small-avatar__wrapper:hover {
  transform: translateY(-20px) scale(1.2);
}

.feedback__btn {
  width: 31px;
  height: 31px;
  border: 1px solid #BBB;
  transition: 0.3s;
  top: 47px;
}

.feedback__btn[disabled] {
  background-color: rgba(136, 133, 133, 0.568);
  border: 1px dotted rgb(12, 12, 12);
  cursor: default;
}

.feedback__btn[disabled]:hover {
  background-color: rgba(136, 133, 133, 0.568);
  border: 1px dotted rgb(12, 12, 12);
}

.feedback__btn[disabled]:active {
  transform: none;
}

.feedback__btn:active {
  transform: scale(0.9);
}

.feedback__btn:hover {
  background-color: var(--basic-hover-color);
}

.previous-step-btn {
  background-image: url(../img/icon/arrow-right__icon.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  left: -31px;
}

.next-step-btn {
  background-image: url(../img/icon/arrow-left__icon.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  right: -31px;
}

.gallery {
  padding: 97px 0 67px;
  color: var(--title-grey-color);
  text-align: center;
}

.gallery__wrapper {
  margin-top: 120px;
  margin-bottom: 52px;
  max-height: 935px;
  overflow: hidden;
}

.footer {
  background-color: #22353F;
  padding: 48px 0 48px;
}

.gallery-img {
  width: 100%;
}

.small-gallery__wrapper {
  width: 364px;
}

.small-gallery__header {
  display: flex;
  justify-content: space-between;
  min-height: 165px;
}

.small-gallery__header-img {
  width: 49.5%;
}

.small-gallery__img {
  width: 100%;
  height: 100%;
}

.small-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 3px;
  margin-top: 3px;
  min-height: 286px;
}

.grid-item {
  margin-bottom: 20px;
}

.grid-item-two {
  width: 250px;
  height: 250px;
}

.footer__text {
  text-align: center;
  font-size: 14px;
  line-height: 26px;
  color: #AEAEAE;
}

.footer__text-green {
  color: var(--basic-hover-color);
}
.loader__wrapper {
  position: absolute;
  bottom: 190%;
  right: 45%;
}
.loader {
  color: var(--basic-hover-color);
  font-size: 20px;
  margin: 100px auto;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  -webkit-animation: load4 1.3s infinite linear;
  animation: load4 1.3s infinite linear;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

@-webkit-keyframes load4 {
  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }

  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 0, 2em 2em 0 0.2em, 0 3em 0 0, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }

  75% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0 0 0.2em, -2em -2em 0 0;
  }

  87.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0 0 0, -2em -2em 0 0.2em;
  }
}

@keyframes load4 {
  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
  }

  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 0, 2em 2em 0 0.2em, 0 3em 0 0, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0 0 -1em, -2em -2em 0 -1em;
  }

  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
  }

  75% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0 0 0.2em, -2em -2em 0 0;
  }

  87.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0 0 0, -2em -2em 0 0.2em;
  }
}
